GraphTheory package and API



  • What version of Maple is used by the API? I created a library that uses the GraphTheory package of Maple2021. It seems the Maple API does not use this package as it does not recognise various options, e.g. it does not accept loops in digraphs,and does not accept the selfloops parameter, and it does not recognise the network option when drawing graphs.

    I'll be grateful if someone could shed light on that.



  • I have come to realise there are limitations on what mapleplot can do, but I have not found a clear documentation about it. I'll repost a question on what I am trying to do in the other forum about writing questions.